Bug 572511 - Review Request: mythes - thesaurus library
Summary: Review Request: mythes - thesaurus library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 574047
TreeView+ depends on / blocked
 
Reported: 2010-03-11 12:24 UTC by Caolan McNamara
Modified: 2010-04-03 19:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-03 19:39:03 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2010-03-11 12:24:07 UTC
Spec URL: http://people.redhat.com/caolanm/rpms/mythes.spec
SRPM URL: http://people.redhat.com/caolanm/rpms/mythes-1.2.0-1.fc13.src.rpm
Description: Thesaurus library (mythes format is the format that openoffice.org utilizes)

Comment 1 Parag AN(पराग) 2010-03-22 04:14:51 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2067174
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
025d5d0d566a23ddb353495c116116c1088ba2e9  mythes-1.2.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ mythes.pc file present.
+ -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package  mythes-1.2.0-1.fc14.i686 =>
Provides: libmythes-1.2.so.0
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libgcc_s.so.1 libm.so.6 libmythes-1.2.so.0 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) rtld(GNU_HASH)
+ Package mythes-devel-1.2.0-1.fc14.i686 =>
Provides: pkgconfig(mythes) = 1.2.0
Requires: /usr/bin/perl /usr/bin/pkg-config libmythes-1.2.so.0

+ Not a GUI application

Suggestions:
1) I think you need to change existing mythes-* spec files to remove ownership of /usr/share/mythes from them and let this package alone owns it.

APPROVED.

Comment 2 Caolan McNamara 2010-04-01 11:15:01 UTC
"change existing mythes-* spec files to remove ownership of /usr/share/mythes"

yeah, that's the plan

Comment 3 Caolan McNamara 2010-04-01 11:15:43 UTC
New Package CVS Request
=======================
Package Name: mythes
Short Description: Thesaurus library
Owners: caolanm
Branches: devel
InitialCC:

Comment 4 Kevin Fenzi 2010-04-03 17:38:09 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.